Вход на сайт

Регистрация на сайте автоматическая при оформлении первого заказа

Модуль Календарь событий Opencart 2.x

Модуль для создания раздела События на сайте на Opencart 2.x с возможностью вывода календаря событий в позиции. При наведении на дату будет отображаться название события, при клике - переход на страницу события.

Страница всех событий будет размещена по адресу: ваш-сайт/index.php?route=information/calendar

Демо Каталог событий: http://avito.r961697v.bget.ru/index.php?route=information/calendar
Демо Календарь в колонке: http://avito.r961697v.bget.ru/index.php?route=product/category&path=20
Демо админка:  http://avito.r961697v.bget.ru/admin/
логин/пароль: event

Установка модуля:
1. Распаковать скачанный архив, выбрать модуль для вашей версии Opencart 2.x
2. Загрузить архив модуля на ваш сайт через админку (ocmod)
3. Добавить права группе Администраторы (установить галочки)
4. Перейти в Каталог > События, добавить события, включить вывод в календаре
5. Перейти в Модули, включить модуль Календать событий
6. Вывести модуль в нужное место на сайте через Дизайн > Макеты


  • Opencart 2.0
  • Opencart 2.1
  • Opencart 2.2
  • Opencart 2.3

Нужен этот модуль для Opencart 3.0 ?

Возможные причины:

1. Если вы раньше не загружали модули в архиве через админку - вам нужно установить бесплатную модификацию localcopy.ocmod.xml согласно инструкции и после этого переустановить модуль

2. Возможно  в устанавливаемого модуля нет собственной страницы настроек и соответственно его не будет в списке Модулей

Два варианта решения:

1. Если при установке модуля из админки вылетает эта ошибка - вам нужно установить бесплатную FTP QuickFix модификацию localcopy.ocmod.xml. Она установиться без проблем через тот же установщик дополнений, только после установки не забудьте обновить модификации и затем можете приступать к установке любых модулей на Opencart 2.

2. Также решить эту ошибку можно по другому: прописать доступы к FTP в админке Система > Настройки > Магазин > вкладка FTP.

Если вы видите сообщение "Доступ запрещен!  У Вас нет прав для доступа к этой странице. Если она Вам нужна, обратитесь к администратору." -  нужно дать права администраторам на управление модулем или страницей.

Решение: в админке Opencart 2 переходим в Система > Пользователи > Группы пользователей > Администраторы и здесь нажимаем "Выделить все" ниже обоих блоков, затем Сохранить.

Если модуль - это один XML файл,  то его расширение должно быть .ocmod.xml

Если модуль - это ocmod.zip архив, то его не нужно распаковывать, а устанавливать как есть. В таком архиве обязательно должна быть папка upload (может быть пустой), а также могут быть файлы модификаций: install.xml, install.php, install.sql. Никаких других файлов в корне архива быть не должно.

Читайте подробнее как устанавливать модули в Opencart 2

Эта ошибка означает, что в загружаемом архиве отсутсвует папка upload. Даже если у модуля нет файлов, кроме модификаций - эта папка должна присутствовать в архиве модуля .ocmod.zip, тогда она должна оставаться пустой.

Эта ошибка означает, что вы пытаетесь установить модификатор, который уже установлен или, возможно, у какого-то вашего модуля такой же ID.

Для решения этой ошибки вам нужно перед установкой удалить старую версию модификации в разделе Модули > Модификации.

Если такого модуля у вас нет, но совпадает ID, тогда нужно поменять значение параметра <code> в устанавливаемом модификаторе XML, сделать этот параметр уникальным дописав несколько символов.

Эта ошибка означает, что вы пытаетесь установить слишком объемный xml-модификатор.

Количество символов в ocmod.xml файле не должно превышать 65535.

Для решения ошибки нужно разбить xml-файл модификации на несколько частей, главное - не забыть задавать каждой уникальное значение в <code>, можно добавлять к текущему значению цифры 1,2,3... как идентификаторы части.

Еще одним способом решения есть изменения типа в поля, где храняться модификации, в таблице 'oc_modification' базы данных. Нужно выполнить следующий SQL-запрос:
ALTER TABLE oc_modification CHANGE xml xml MEDIUMTEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ;

Похоже, вы установили на Opencart 2.3.x.x модуль для более старых версий этой системы, то есть не совместимый модуль. Нужно удалить все файлы этого модуля, иначе ошибка не исчезнет.

Для удаления файлов модулей из админкм в один клик можно использовать модуль 

Также данная ошибка может возникать, если скрипт обращается к несуществующей таблице в базе данных. То есть, таблица модуля не создалась при установке. Читайте инструкцию по установке и переустановите модуль.

Если модуль не реагирует на ваши действия, будь-то нажатие на кнопку или загрузка карты или выбор даты или на любое другое действие которое есть в функционале модуля - скорее всего произошел конфликт в JS-скриптах.

Нажмите F12 на проблемной странице в браузере - откроется панель вебмастера, где на вкладке Console можно увидеть конфликты в скриптах, если они есть. Данное действие доступно в браузерах Chrome, Opera, Firefox.

Ошибка 500 после установки модуля означает, что случилась какая-то критическая ошибка в php.

Для определение проблемы можно:
1. Открыть файл logs/error.log на вашем сервере. В конце этого файла будут все последние критические ошибки.
2. Открыть в админке Инструменты > Логи ошибок - в этом месте отображаются ошибки, но не всегда.
3. Включить вывод ошибок php на экран - добавить следующий php-код в начало php-файла контроллера модуля внутри функции index(){...} :

ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

4. Включить вывод всех ошибок и предупреждений в файле .htaccess:

php_value display_errors 1
php_value display_startup_errors 1
php_value error_reporting E_ALL
Техподдержка предоставляется только для клиентов, купивших модуль.
Клиентам с "VIP-подпиской" - техподдержка не предоставляется!

Из-за большого количества псевдоклиентов - мы вынуждены ввести правила комментирования.

Правила обращения в техподдержку
Нужно указать:
1. Номер заказа
2. Сборка/версия Opencart
* Email заказа и клиента должны совпадать
* письма в техподдержку без этих данных будут удалятся!

  • Цена: 299 руб.

- с помощьюВарианты оплаты заказа
или
Оформить VIP-подписку на все файлы
Подробнее о VIP-подписке

  • Cовместимость протестирована
  • Формат OCMOD
  • Открытый код
  • Нет привязки к домену
  • Нет вирусов и жучков
  • Быстрая техподдержка

Про Opencart 2:

Купить VIP подписку на модули и шаблоны Opencart 2.x

Смотрите также:

Модуль Инфоблоки для Opencart 2.x

Модуль Инфоблоки для Opencart 2.x

Хотите создать на своем сайте на базе Opencart 2.x информативные блоки, но не знаете как? Этот модул..

Цена: 249 руб.

Модуль Cookie: Соглашение с условиями на Opencart 2.x

Модуль Cookie: Соглашение с условиями на Opencart 2.x

Модуль для отображения всплывающего окна соглашения с условиями отслеживания действий клиента (cooki..

Цена: 199 руб.

Модуль Фиксированная панель для Opencart 2.x

Модуль Фиксированная панель для Opencart 2.x

Модуль для создания фиксированной панели вверху или внизу сайта на Opencart 2.x. Панель появляется п..

Бесплатно

Модуль Опросы и голосование на Opencart 2.x

Модуль Опросы и голосование на Opencart 2.x

Модуль для создания опросов или голосований в интернет-магазине на Opencart 2.x. Хотите спросит..

Цена: 249 руб.

Модуль Таблица размеров для Opencart 2

Модуль Таблица размеров для Opencart 2

Модуль для создания размерной таблицы для интернет-магазинов на Opencart 2.Таблица размеров - информ..

Цена: 249 руб.

Модуль Промоблоки для Opencart 2.x

Модуль Промоблоки для Opencart 2.x

Модуль для создания промоблоков на Opencart 2.x  - позволит вам создать собственные яркие рекла..

Цена: 249 руб.

Менеджер баннеров для Opencart 2

Менеджер баннеров для Opencart 2

Менеджер баннеров для Opencart 2 - мультиязычный модуль для создания баннеров. Функции модуля:- мул..

Цена: 199 руб.

Модуль Предыдущий-следующий товар Opencart 2.x

Модуль Предыдущий-следующий товар Opencart 2.x

Модуль для отображения в карточке товара кнопок со стрелками "Предыдущий" и "Следующий" на Opencart ..

Цена: 199 руб.